Bug 476326 - SELinux is preventing npviewer.bin (nsplugin_t) "sendto" nsplugin_t. [NEEDINFO]
SELinux is preventing npviewer.bin (nsplugin_t) "sendto" nsplugin_t.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: SELinux, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 22:22 EST by James Wills
Modified: 2009-12-18 02:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:16:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (james.wills.va)


Attachments (Terms of Use)

  None (edit)
Description James Wills 2008-12-12 22:22:49 EST
Description of problem:
Firefox plugins won't load due to SELinux default configuration.

Version-Release number of selected component (if applicable):
nspluginwrapper-1.1.2-4.fc10

How reproducible:
Persistent

Steps to Reproduce:
1.  IcedTea invocation
2.  WMP
3.  Totem
  
Actual results:
Raw Audit Messages:
node=pacman.local type=AVC msg=audit(1229136884.50:200): avc: denied { sendto } for pid=2689 comm="npviewer.bin" scontext=unconfined_u:unconfined_r:nsplugin_t:s0 tcontext=unconfined_u:unconfined_r:nsplugin_t:s0 tclass=unix_dgram_socket node=pacman.local type=SYSCALL msg=audit(1229136884.50:200): arch=40000003 syscall=102 success=no exit=-13 a0=9 a1=bfbd8310 a2=9ed234 a3=0 items=0 ppid=2500 pid=2689 auid=501 uid=501 gid=501 euid=501 suid=501 fsuid=501 egid=501 sgid=501 fsgid=501 tty=(none) ses=1 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:nsplugin_t:s0 key=(null) 

Expected results:
Plugin loads and runs

Additional info:
Comment 1 Matěj Cepl 2009-09-11 04:17:14 EDT
Please run (as root)

/sbin/restorecon -v -R /usr/lib*/mozilla/ /home/*/{.mozilla,.thunderbird}/

(write as it is, asterisks are meant as asterisks). Can you still reproduce it after doing this?
Comment 2 Bug Zapper 2009-11-18 05:27:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:16:42 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.